
using System.Xml.Serialization;

namespace NewRock.Sdk.Transfer.Connect.Request
{
    [XmlRoot("Transfer")]
    public class OuterToExtRequest:INewRockRequest
    {
        [XmlAttribute("attribute")]
        public string Attribute { get; set; }

        [XmlElement("outer")]
        public OuterToExtOuter Outer { get; set; }

        [XmlElement("ext")]
        public OuterToExtExt Ext { get; set; }
    }

    public class OuterToExtOuter
    {
        [XmlAttribute("id")]
        public string Id { get; set; }
    }

    public class OuterToExtExt
    {
        [XmlAttribute("id")]
        public string Id { get; set; }
    }
}
